/*****************************************************************************
 *
 * MODULE:              Debug Interface
 *
 * COMPONENT:           $RCSfile: $
 *
 * VERSION:             $Name:  $
 *
 * REVISION:            $Revision: $
 *
 * DATED:               $Date: $
 *
 * STATUS:              $State: $
 *
 * AUTHOR:              Mozammul Ahmed
 *
 * DESCRIPTION:
 * Debug Functions
 *
 * LAST MODIFIED BY:    $Author:  $
 *                      $Modtime: $
 *
 ****************************************************************************
 *
 *  (c) Copyright JENNIC Ltd 2005
 *
 ****************************************************************************/

#ifndef  DEBUG_H_INCLUDED
#define  DEBUG_H_INCLUDED

#if defined __cplusplus
extern "C" {
#endif

/****************************************************************************/
/***        Include Files                                                 ***/
/****************************************************************************/

#include <jendefs.h>

/****************************************************************************/
/***        Macro Definitions                                             ***/
/****************************************************************************/

/****************************************************************************/
/***        Type Definitions                                              ***/
/****************************************************************************/

/****************************************************************************/
/***        Exported Functions                                            ***/
/****************************************************************************/

PUBLIC void vDebug_Init(void);
PUBLIC void vDebug(char *pcMessage);
PUBLIC void vDisplayHex(uint32 u32Data);

/****************************************************************************/
/***        Exported Variables                                            ***/
/****************************************************************************/

#if defined __cplusplus
}
#endif

#endif  /* DEBUG_H_INCLUDED */

/****************************************************************************/
/***        END OF FILE                                                   ***/
/****************************************************************************/

